Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network254.74.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
254.74.0.0
Broadcast address
254.74.63.255
First usable
254.74.0.1
Last usable
254.74.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FE4A0000 · Integer 4266262528 to 4266278911
Reverse DNS zones
0.74.254.in-addr.arpa
1.74.254.in-addr.arpa
2.74.254.in-addr.arpa
3.74.254.in-addr.arpa
4.74.254.in-addr.arpa
5.74.254.in-addr.arpa
6.74.254.in-addr.arpa
7.74.254.in-addr.arpa
8.74.254.in-addr.arpa
9.74.254.in-addr.arpa
10.74.254.in-addr.arpa
11.74.254.in-addr.arpa
12.74.254.in-addr.arpa
13.74.254.in-addr.arpa
14.74.254.in-addr.arpa
15.74.254.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111110.01001010.00000000.00000000254.74.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network11111110.01001010.00000000.00000000254.74.0.0
Broadcast11111110.01001010.00111111.11111111254.74.63.255
Split into smaller subnets/26

254.74.0.0/18 makes 256 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1254.74.0.0/26254.74.0.1 to 254.74.0.62254.74.0.6362
2254.74.0.64/26254.74.0.65 to 254.74.0.126254.74.0.12762
3254.74.0.128/26254.74.0.129 to 254.74.0.190254.74.0.19162
4254.74.0.192/26254.74.0.193 to 254.74.0.254254.74.0.25562
5254.74.1.0/26254.74.1.1 to 254.74.1.62254.74.1.6362
6254.74.1.64/26254.74.1.65 to 254.74.1.126254.74.1.12762
7254.74.1.128/26254.74.1.129 to 254.74.1.190254.74.1.19162
8254.74.1.192/26254.74.1.193 to 254.74.1.254254.74.1.25562
9254.74.2.0/26254.74.2.1 to 254.74.2.62254.74.2.6362
10254.74.2.64/26254.74.2.65 to 254.74.2.126254.74.2.12762
11254.74.2.128/26254.74.2.129 to 254.74.2.190254.74.2.19162
12254.74.2.192/26254.74.2.193 to 254.74.2.254254.74.2.25562
13254.74.3.0/26254.74.3.1 to 254.74.3.62254.74.3.6362
14254.74.3.64/26254.74.3.65 to 254.74.3.126254.74.3.12762
15254.74.3.128/26254.74.3.129 to 254.74.3.190254.74.3.19162
16254.74.3.192/26254.74.3.193 to 254.74.3.254254.74.3.25562
17254.74.4.0/26254.74.4.1 to 254.74.4.62254.74.4.6362
18254.74.4.64/26254.74.4.65 to 254.74.4.126254.74.4.12762
19254.74.4.128/26254.74.4.129 to 254.74.4.190254.74.4.19162
20254.74.4.192/26254.74.4.193 to 254.74.4.254254.74.4.25562
21254.74.5.0/26254.74.5.1 to 254.74.5.62254.74.5.6362
22254.74.5.64/26254.74.5.65 to 254.74.5.126254.74.5.12762
23254.74.5.128/26254.74.5.129 to 254.74.5.190254.74.5.19162
24254.74.5.192/26254.74.5.193 to 254.74.5.254254.74.5.25562
25254.74.6.0/26254.74.6.1 to 254.74.6.62254.74.6.6362
26254.74.6.64/26254.74.6.65 to 254.74.6.126254.74.6.12762
27254.74.6.128/26254.74.6.129 to 254.74.6.190254.74.6.19162
28254.74.6.192/26254.74.6.193 to 254.74.6.254254.74.6.25562
29254.74.7.0/26254.74.7.1 to 254.74.7.62254.74.7.6362
30254.74.7.64/26254.74.7.65 to 254.74.7.126254.74.7.12762
31254.74.7.128/26254.74.7.129 to 254.74.7.190254.74.7.19162
32254.74.7.192/26254.74.7.193 to 254.74.7.254254.74.7.25562
33254.74.8.0/26254.74.8.1 to 254.74.8.62254.74.8.6362
34254.74.8.64/26254.74.8.65 to 254.74.8.126254.74.8.12762
35254.74.8.128/26254.74.8.129 to 254.74.8.190254.74.8.19162
36254.74.8.192/26254.74.8.193 to 254.74.8.254254.74.8.25562
37254.74.9.0/26254.74.9.1 to 254.74.9.62254.74.9.6362
38254.74.9.64/26254.74.9.65 to 254.74.9.126254.74.9.12762
39254.74.9.128/26254.74.9.129 to 254.74.9.190254.74.9.19162
40254.74.9.192/26254.74.9.193 to 254.74.9.254254.74.9.25562
41254.74.10.0/26254.74.10.1 to 254.74.10.62254.74.10.6362
42254.74.10.64/26254.74.10.65 to 254.74.10.126254.74.10.12762
43254.74.10.128/26254.74.10.129 to 254.74.10.190254.74.10.19162
44254.74.10.192/26254.74.10.193 to 254.74.10.254254.74.10.25562
45254.74.11.0/26254.74.11.1 to 254.74.11.62254.74.11.6362
46254.74.11.64/26254.74.11.65 to 254.74.11.126254.74.11.12762
47254.74.11.128/26254.74.11.129 to 254.74.11.190254.74.11.19162
48254.74.11.192/26254.74.11.193 to 254.74.11.254254.74.11.25562
49254.74.12.0/26254.74.12.1 to 254.74.12.62254.74.12.6362
50254.74.12.64/26254.74.12.65 to 254.74.12.126254.74.12.12762
51254.74.12.128/26254.74.12.129 to 254.74.12.190254.74.12.19162
52254.74.12.192/26254.74.12.193 to 254.74.12.254254.74.12.25562
53254.74.13.0/26254.74.13.1 to 254.74.13.62254.74.13.6362
54254.74.13.64/26254.74.13.65 to 254.74.13.126254.74.13.12762
55254.74.13.128/26254.74.13.129 to 254.74.13.190254.74.13.19162
56254.74.13.192/26254.74.13.193 to 254.74.13.254254.74.13.25562
57254.74.14.0/26254.74.14.1 to 254.74.14.62254.74.14.6362
58254.74.14.64/26254.74.14.65 to 254.74.14.126254.74.14.12762
59254.74.14.128/26254.74.14.129 to 254.74.14.190254.74.14.19162
60254.74.14.192/26254.74.14.193 to 254.74.14.254254.74.14.25562
61254.74.15.0/26254.74.15.1 to 254.74.15.62254.74.15.6362
62254.74.15.64/26254.74.15.65 to 254.74.15.126254.74.15.12762
63254.74.15.128/26254.74.15.129 to 254.74.15.190254.74.15.19162
64254.74.15.192/26254.74.15.193 to 254.74.15.254254.74.15.25562
65254.74.16.0/26254.74.16.1 to 254.74.16.62254.74.16.6362
66254.74.16.64/26254.74.16.65 to 254.74.16.126254.74.16.12762
67254.74.16.128/26254.74.16.129 to 254.74.16.190254.74.16.19162
68254.74.16.192/26254.74.16.193 to 254.74.16.254254.74.16.25562
69254.74.17.0/26254.74.17.1 to 254.74.17.62254.74.17.6362
70254.74.17.64/26254.74.17.65 to 254.74.17.126254.74.17.12762
71254.74.17.128/26254.74.17.129 to 254.74.17.190254.74.17.19162
72254.74.17.192/26254.74.17.193 to 254.74.17.254254.74.17.25562
73254.74.18.0/26254.74.18.1 to 254.74.18.62254.74.18.6362
74254.74.18.64/26254.74.18.65 to 254.74.18.126254.74.18.12762
75254.74.18.128/26254.74.18.129 to 254.74.18.190254.74.18.19162
76254.74.18.192/26254.74.18.193 to 254.74.18.254254.74.18.25562
77254.74.19.0/26254.74.19.1 to 254.74.19.62254.74.19.6362
78254.74.19.64/26254.74.19.65 to 254.74.19.126254.74.19.12762
79254.74.19.128/26254.74.19.129 to 254.74.19.190254.74.19.19162
80254.74.19.192/26254.74.19.193 to 254.74.19.254254.74.19.25562
81254.74.20.0/26254.74.20.1 to 254.74.20.62254.74.20.6362
82254.74.20.64/26254.74.20.65 to 254.74.20.126254.74.20.12762
83254.74.20.128/26254.74.20.129 to 254.74.20.190254.74.20.19162
84254.74.20.192/26254.74.20.193 to 254.74.20.254254.74.20.25562
85254.74.21.0/26254.74.21.1 to 254.74.21.62254.74.21.6362
86254.74.21.64/26254.74.21.65 to 254.74.21.126254.74.21.12762
87254.74.21.128/26254.74.21.129 to 254.74.21.190254.74.21.19162
88254.74.21.192/26254.74.21.193 to 254.74.21.254254.74.21.25562
89254.74.22.0/26254.74.22.1 to 254.74.22.62254.74.22.6362
90254.74.22.64/26254.74.22.65 to 254.74.22.126254.74.22.12762
91254.74.22.128/26254.74.22.129 to 254.74.22.190254.74.22.19162
92254.74.22.192/26254.74.22.193 to 254.74.22.254254.74.22.25562
93254.74.23.0/26254.74.23.1 to 254.74.23.62254.74.23.6362
94254.74.23.64/26254.74.23.65 to 254.74.23.126254.74.23.12762
95254.74.23.128/26254.74.23.129 to 254.74.23.190254.74.23.19162
96254.74.23.192/26254.74.23.193 to 254.74.23.254254.74.23.25562
97254.74.24.0/26254.74.24.1 to 254.74.24.62254.74.24.6362
98254.74.24.64/26254.74.24.65 to 254.74.24.126254.74.24.12762
99254.74.24.128/26254.74.24.129 to 254.74.24.190254.74.24.19162
100254.74.24.192/26254.74.24.193 to 254.74.24.254254.74.24.25562
101254.74.25.0/26254.74.25.1 to 254.74.25.62254.74.25.6362
102254.74.25.64/26254.74.25.65 to 254.74.25.126254.74.25.12762
103254.74.25.128/26254.74.25.129 to 254.74.25.190254.74.25.19162
104254.74.25.192/26254.74.25.193 to 254.74.25.254254.74.25.25562
105254.74.26.0/26254.74.26.1 to 254.74.26.62254.74.26.6362
106254.74.26.64/26254.74.26.65 to 254.74.26.126254.74.26.12762
107254.74.26.128/26254.74.26.129 to 254.74.26.190254.74.26.19162
108254.74.26.192/26254.74.26.193 to 254.74.26.254254.74.26.25562
109254.74.27.0/26254.74.27.1 to 254.74.27.62254.74.27.6362
110254.74.27.64/26254.74.27.65 to 254.74.27.126254.74.27.12762
111254.74.27.128/26254.74.27.129 to 254.74.27.190254.74.27.19162
112254.74.27.192/26254.74.27.193 to 254.74.27.254254.74.27.25562
113254.74.28.0/26254.74.28.1 to 254.74.28.62254.74.28.6362
114254.74.28.64/26254.74.28.65 to 254.74.28.126254.74.28.12762
115254.74.28.128/26254.74.28.129 to 254.74.28.190254.74.28.19162
116254.74.28.192/26254.74.28.193 to 254.74.28.254254.74.28.25562
117254.74.29.0/26254.74.29.1 to 254.74.29.62254.74.29.6362
118254.74.29.64/26254.74.29.65 to 254.74.29.126254.74.29.12762
119254.74.29.128/26254.74.29.129 to 254.74.29.190254.74.29.19162
120254.74.29.192/26254.74.29.193 to 254.74.29.254254.74.29.25562
121254.74.30.0/26254.74.30.1 to 254.74.30.62254.74.30.6362
122254.74.30.64/26254.74.30.65 to 254.74.30.126254.74.30.12762
123254.74.30.128/26254.74.30.129 to 254.74.30.190254.74.30.19162
124254.74.30.192/26254.74.30.193 to 254.74.30.254254.74.30.25562
125254.74.31.0/26254.74.31.1 to 254.74.31.62254.74.31.6362
126254.74.31.64/26254.74.31.65 to 254.74.31.126254.74.31.12762
127254.74.31.128/26254.74.31.129 to 254.74.31.190254.74.31.19162
128254.74.31.192/26254.74.31.193 to 254.74.31.254254.74.31.25562
129254.74.32.0/26254.74.32.1 to 254.74.32.62254.74.32.6362
130254.74.32.64/26254.74.32.65 to 254.74.32.126254.74.32.12762
131254.74.32.128/26254.74.32.129 to 254.74.32.190254.74.32.19162
132254.74.32.192/26254.74.32.193 to 254.74.32.254254.74.32.25562
133254.74.33.0/26254.74.33.1 to 254.74.33.62254.74.33.6362
134254.74.33.64/26254.74.33.65 to 254.74.33.126254.74.33.12762
135254.74.33.128/26254.74.33.129 to 254.74.33.190254.74.33.19162
136254.74.33.192/26254.74.33.193 to 254.74.33.254254.74.33.25562
137254.74.34.0/26254.74.34.1 to 254.74.34.62254.74.34.6362
138254.74.34.64/26254.74.34.65 to 254.74.34.126254.74.34.12762
139254.74.34.128/26254.74.34.129 to 254.74.34.190254.74.34.19162
140254.74.34.192/26254.74.34.193 to 254.74.34.254254.74.34.25562
141254.74.35.0/26254.74.35.1 to 254.74.35.62254.74.35.6362
142254.74.35.64/26254.74.35.65 to 254.74.35.126254.74.35.12762
143254.74.35.128/26254.74.35.129 to 254.74.35.190254.74.35.19162
144254.74.35.192/26254.74.35.193 to 254.74.35.254254.74.35.25562
145254.74.36.0/26254.74.36.1 to 254.74.36.62254.74.36.6362
146254.74.36.64/26254.74.36.65 to 254.74.36.126254.74.36.12762
147254.74.36.128/26254.74.36.129 to 254.74.36.190254.74.36.19162
148254.74.36.192/26254.74.36.193 to 254.74.36.254254.74.36.25562
149254.74.37.0/26254.74.37.1 to 254.74.37.62254.74.37.6362
150254.74.37.64/26254.74.37.65 to 254.74.37.126254.74.37.12762
151254.74.37.128/26254.74.37.129 to 254.74.37.190254.74.37.19162
152254.74.37.192/26254.74.37.193 to 254.74.37.254254.74.37.25562
153254.74.38.0/26254.74.38.1 to 254.74.38.62254.74.38.6362
154254.74.38.64/26254.74.38.65 to 254.74.38.126254.74.38.12762
155254.74.38.128/26254.74.38.129 to 254.74.38.190254.74.38.19162
156254.74.38.192/26254.74.38.193 to 254.74.38.254254.74.38.25562
157254.74.39.0/26254.74.39.1 to 254.74.39.62254.74.39.6362
158254.74.39.64/26254.74.39.65 to 254.74.39.126254.74.39.12762
159254.74.39.128/26254.74.39.129 to 254.74.39.190254.74.39.19162
160254.74.39.192/26254.74.39.193 to 254.74.39.254254.74.39.25562
161254.74.40.0/26254.74.40.1 to 254.74.40.62254.74.40.6362
162254.74.40.64/26254.74.40.65 to 254.74.40.126254.74.40.12762
163254.74.40.128/26254.74.40.129 to 254.74.40.190254.74.40.19162
164254.74.40.192/26254.74.40.193 to 254.74.40.254254.74.40.25562
165254.74.41.0/26254.74.41.1 to 254.74.41.62254.74.41.6362
166254.74.41.64/26254.74.41.65 to 254.74.41.126254.74.41.12762
167254.74.41.128/26254.74.41.129 to 254.74.41.190254.74.41.19162
168254.74.41.192/26254.74.41.193 to 254.74.41.254254.74.41.25562
169254.74.42.0/26254.74.42.1 to 254.74.42.62254.74.42.6362
170254.74.42.64/26254.74.42.65 to 254.74.42.126254.74.42.12762
171254.74.42.128/26254.74.42.129 to 254.74.42.190254.74.42.19162
172254.74.42.192/26254.74.42.193 to 254.74.42.254254.74.42.25562
173254.74.43.0/26254.74.43.1 to 254.74.43.62254.74.43.6362
174254.74.43.64/26254.74.43.65 to 254.74.43.126254.74.43.12762
175254.74.43.128/26254.74.43.129 to 254.74.43.190254.74.43.19162
176254.74.43.192/26254.74.43.193 to 254.74.43.254254.74.43.25562
177254.74.44.0/26254.74.44.1 to 254.74.44.62254.74.44.6362
178254.74.44.64/26254.74.44.65 to 254.74.44.126254.74.44.12762
179254.74.44.128/26254.74.44.129 to 254.74.44.190254.74.44.19162
180254.74.44.192/26254.74.44.193 to 254.74.44.254254.74.44.25562
181254.74.45.0/26254.74.45.1 to 254.74.45.62254.74.45.6362
182254.74.45.64/26254.74.45.65 to 254.74.45.126254.74.45.12762
183254.74.45.128/26254.74.45.129 to 254.74.45.190254.74.45.19162
184254.74.45.192/26254.74.45.193 to 254.74.45.254254.74.45.25562
185254.74.46.0/26254.74.46.1 to 254.74.46.62254.74.46.6362
186254.74.46.64/26254.74.46.65 to 254.74.46.126254.74.46.12762
187254.74.46.128/26254.74.46.129 to 254.74.46.190254.74.46.19162
188254.74.46.192/26254.74.46.193 to 254.74.46.254254.74.46.25562
189254.74.47.0/26254.74.47.1 to 254.74.47.62254.74.47.6362
190254.74.47.64/26254.74.47.65 to 254.74.47.126254.74.47.12762
191254.74.47.128/26254.74.47.129 to 254.74.47.190254.74.47.19162
192254.74.47.192/26254.74.47.193 to 254.74.47.254254.74.47.25562
193254.74.48.0/26254.74.48.1 to 254.74.48.62254.74.48.6362
194254.74.48.64/26254.74.48.65 to 254.74.48.126254.74.48.12762
195254.74.48.128/26254.74.48.129 to 254.74.48.190254.74.48.19162
196254.74.48.192/26254.74.48.193 to 254.74.48.254254.74.48.25562
197254.74.49.0/26254.74.49.1 to 254.74.49.62254.74.49.6362
198254.74.49.64/26254.74.49.65 to 254.74.49.126254.74.49.12762
199254.74.49.128/26254.74.49.129 to 254.74.49.190254.74.49.19162
200254.74.49.192/26254.74.49.193 to 254.74.49.254254.74.49.25562
201254.74.50.0/26254.74.50.1 to 254.74.50.62254.74.50.6362
202254.74.50.64/26254.74.50.65 to 254.74.50.126254.74.50.12762
203254.74.50.128/26254.74.50.129 to 254.74.50.190254.74.50.19162
204254.74.50.192/26254.74.50.193 to 254.74.50.254254.74.50.25562
205254.74.51.0/26254.74.51.1 to 254.74.51.62254.74.51.6362
206254.74.51.64/26254.74.51.65 to 254.74.51.126254.74.51.12762
207254.74.51.128/26254.74.51.129 to 254.74.51.190254.74.51.19162
208254.74.51.192/26254.74.51.193 to 254.74.51.254254.74.51.25562
209254.74.52.0/26254.74.52.1 to 254.74.52.62254.74.52.6362
210254.74.52.64/26254.74.52.65 to 254.74.52.126254.74.52.12762
211254.74.52.128/26254.74.52.129 to 254.74.52.190254.74.52.19162
212254.74.52.192/26254.74.52.193 to 254.74.52.254254.74.52.25562
213254.74.53.0/26254.74.53.1 to 254.74.53.62254.74.53.6362
214254.74.53.64/26254.74.53.65 to 254.74.53.126254.74.53.12762
215254.74.53.128/26254.74.53.129 to 254.74.53.190254.74.53.19162
216254.74.53.192/26254.74.53.193 to 254.74.53.254254.74.53.25562
217254.74.54.0/26254.74.54.1 to 254.74.54.62254.74.54.6362
218254.74.54.64/26254.74.54.65 to 254.74.54.126254.74.54.12762
219254.74.54.128/26254.74.54.129 to 254.74.54.190254.74.54.19162
220254.74.54.192/26254.74.54.193 to 254.74.54.254254.74.54.25562
221254.74.55.0/26254.74.55.1 to 254.74.55.62254.74.55.6362
222254.74.55.64/26254.74.55.65 to 254.74.55.126254.74.55.12762
223254.74.55.128/26254.74.55.129 to 254.74.55.190254.74.55.19162
224254.74.55.192/26254.74.55.193 to 254.74.55.254254.74.55.25562
225254.74.56.0/26254.74.56.1 to 254.74.56.62254.74.56.6362
226254.74.56.64/26254.74.56.65 to 254.74.56.126254.74.56.12762
227254.74.56.128/26254.74.56.129 to 254.74.56.190254.74.56.19162
228254.74.56.192/26254.74.56.193 to 254.74.56.254254.74.56.25562
229254.74.57.0/26254.74.57.1 to 254.74.57.62254.74.57.6362
230254.74.57.64/26254.74.57.65 to 254.74.57.126254.74.57.12762
231254.74.57.128/26254.74.57.129 to 254.74.57.190254.74.57.19162
232254.74.57.192/26254.74.57.193 to 254.74.57.254254.74.57.25562
233254.74.58.0/26254.74.58.1 to 254.74.58.62254.74.58.6362
234254.74.58.64/26254.74.58.65 to 254.74.58.126254.74.58.12762
235254.74.58.128/26254.74.58.129 to 254.74.58.190254.74.58.19162
236254.74.58.192/26254.74.58.193 to 254.74.58.254254.74.58.25562
237254.74.59.0/26254.74.59.1 to 254.74.59.62254.74.59.6362
238254.74.59.64/26254.74.59.65 to 254.74.59.126254.74.59.12762
239254.74.59.128/26254.74.59.129 to 254.74.59.190254.74.59.19162
240254.74.59.192/26254.74.59.193 to 254.74.59.254254.74.59.25562
241254.74.60.0/26254.74.60.1 to 254.74.60.62254.74.60.6362
242254.74.60.64/26254.74.60.65 to 254.74.60.126254.74.60.12762
243254.74.60.128/26254.74.60.129 to 254.74.60.190254.74.60.19162
244254.74.60.192/26254.74.60.193 to 254.74.60.254254.74.60.25562
245254.74.61.0/26254.74.61.1 to 254.74.61.62254.74.61.6362
246254.74.61.64/26254.74.61.65 to 254.74.61.126254.74.61.12762
247254.74.61.128/26254.74.61.129 to 254.74.61.190254.74.61.19162
248254.74.61.192/26254.74.61.193 to 254.74.61.254254.74.61.25562
249254.74.62.0/26254.74.62.1 to 254.74.62.62254.74.62.6362
250254.74.62.64/26254.74.62.65 to 254.74.62.126254.74.62.12762
251254.74.62.128/26254.74.62.129 to 254.74.62.190254.74.62.19162
252254.74.62.192/26254.74.62.193 to 254.74.62.254254.74.62.25562
253254.74.63.0/26254.74.63.1 to 254.74.63.62254.74.63.6362
254254.74.63.64/26254.74.63.65 to 254.74.63.126254.74.63.12762
255254.74.63.128/26254.74.63.129 to 254.74.63.190254.74.63.19162
256254.74.63.192/26254.74.63.193 to 254.74.63.254254.74.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses